package com.example.nto.repository;

import com.example.nto.entity.Code;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.query.Param;

import java.util.List;

public interface CodeRepository extends JpaRepository<Code, Long> {
    @Query("SELECT c FROM Code c WHERE c.value = :code")
    List<Code> findByCode(@Param("code") long code);
}
